<?php

// declare(strict_types=1);

namespace W3ctrl\Fsfpay\Controller\Fsfpay;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Framework\App\ResponseInterface;
use Magento\Framework\Controller\ResultInterface;
use Magento\Framework\View\Result\Page;
use Magento\Framework\View\Result\PageFactory;
use Magento\Sales\Model\Order;
use W3ctrl\Fsfpay\Helper\Data;
/**
 * Class Index
 */
class Response extends Action
{
    /**
     * @var PageFactory
     */
    private $pageFactory;
    // protected $resultRedirect;

    /**
     * @var Magento\Sales\Model\Order\Email\Sender\OrderSender
     */
    private $_orderSender;

    /**
     * @var Magento\Sales\Model\Order\Email\Sender\InvoiceSender
     */
    private $_invoiceSender;
    private $helper;
    protected $quoteRepository;


    /**
     * @var \Psr\Log\LoggerInterface
     */
    // protected $_logger;

    /**
     * @param Context $context
     * @param PageFactory $pageFactory
     */
    public function __construct(
        Context $context,
        PageFactory $pageFactory,
        \Magento\Sales\Model\Order\Email\Sender\OrderSender $orderSender,
        \Magento\Sales\Model\Order\Email\Sender\InvoiceSender $invoiceSender,
        \Magento\Quote\Api\CartRepositoryInterface $quoteRepository,
         Data $helper
        // \Psr\Log\LoggerInterface $logger
    ) {
        parent::__construct($context);

        $this->pageFactory = $pageFactory;
        $this->_orderSender = $orderSender;
        $this->_invoiceSender = $invoiceSender;
        $this->quoteRepository = $quoteRepository;
        $this->helper = $helper;
    }

    /**
     * @return ResponseInterface|ResultInterface|Page
     */
    public function execute()
    {

         $post = $this->getRequest()->getPostValue();
    if(isset($_POST['requestHash']) && $_POST['paymentStatus'] && $_POST['paymentStatus'] == 'successful') {
    $apiKey =  $this->helper->getApiKey();
    $apiUsername = $this->helper->getApiUsername();
    $secretKey = $this->helper->getSecretKey();
    if(hash('sha256', $apiKey . $apiUsername . $secretKey) === $_POST['requestHash']) {
        $paymentId = $_POST['paymentId'];
        /* You can use orderId to complete the order. */
        $orderId = $_POST['orderId'];
        $amount = $_POST['amount'];
        $email = $_POST['email'];
        $currency = $_POST['currency'];
        $cryptocurrencyAmount = $_POST['cryptocurrencyAmount'];
        $testmode = $_POST['testmode'];
        die('OK');
    }
}
    }
}
