<?php

namespace W3ctrl\Fsfpay\Model\Ui;

use Magento\Checkout\Model\ConfigProviderInterface;

/**
 * Class ConfigProvider
 */
final class ConfigProvider implements ConfigProviderInterface
{

    const CODE_FSFPAY = 'w3ctrlfsfpay';


    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        return [
            'payment' => [
                self::CODE_FSFPAY => []
            ]
        ];
    }
}
